#!/bin/sh

# Make sure we are in the correct directory.
cd /usr/games/avp

# Search for and change to lower case all the directory and file names that
# have at least one upper case letter.
for index in `find -type d -print | grep [[:upper:]]`;
    do
    base=`basename $index`;
    mv -v $index `dirname $index`/`echo $base | tr [A-Z] [a-z]`;
    done

for index in `find -type f -print | grep [[:upper:]]`;
    do
    base=`basename $index`;
    mv -v $index `dirname $index`/`echo $base | tr [A-Z] [a-z]`;
    done

# Make sure the permissions are correct: on the game files...
find . -type d -exec chmod -v 755 {} \;
find avp_huds/ -type f -exec chmod -v 644 {} \;
find avp_rifs/ -type f -exec chmod -v 644 {} \;
find fastfile/ -type f -exec chmod -v 644 {} \;

# ...and on the text files.
chmod -v 644 *.txt
